New package: projectlibre-1.8.0

This commit is contained in:
Piraty 2018-12-10 15:53:35 +01:00 committed by maxice8
parent 6b7155cfd8
commit 769ff08e45
3 changed files with 52 additions and 0 deletions

View File

@ -0,0 +1,17 @@
--- projectlibre.sh
+++ projectlibre.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
#The contents of this file are subject to the Common Public Attribution License
#Version 1.0 (the "License"); you may not use this file except in compliance with
@@ -179,7 +179,7 @@
OPENPROJ_HOME="$OPENPROJ_HOME0"
#OPENPROJ_HOME can be harmful with multiple versions. disable
JAVA_OK="1"
- run_openproj --silentlyFail true "$@" || if [[ $? -eq 126 || $? -eq 127 || $? -eq 64 ]]; then
+ run_openproj --silentlyFail true "$@" || if [ $? -eq 126 -o $? -eq 127 -o $? -eq 64 ]; then
#126 command invoked cannot execute
#127 command not found
#64 bad java version/impl

View File

@ -0,0 +1,12 @@
--- projectlibre.sh
+++ projectlibre.sh
@@ -63,8 +63,7 @@
#Default conf values
JAVA_EXE="java"
JAVA_OPTS="-Xms128m -Xmx768m"
-#OPENPROJ_HOME0="/usr/share/projectlibre"
-OPENPROJ_HOME0=`(dirname $0)`
+OPENPROJ_HOME0="/usr/share/projectlibre"
OPENPROJ_HOME="$OPENPROJ_HOME0"
LOG_LEVEL="DEBUG"
LOG_FILE="/dev/null"

View File

@ -0,0 +1,23 @@
# Template file for 'projectlibre'
pkgname=projectlibre
version=1.8.0
revision=1
depends="virtual?java-runtime virtual?awk"
short_desc="Open source project management (replacement for MS project)"
maintainer="Piraty <piraty1@inbox.ru>"
license="CPAL-1.0"
homepage="http://www.projectlibre.com/"
distfiles="${SOURCEFORGE_SITE}/projectlibre/1.8/projectlibre-${version}.tar.gz"
checksum=5341154a14718b8d070d7ea0d35a1686a3c37c78ced2a1ef9a0bed3adfab0bae
do_install() {
_dest="usr/share/projectlibre"
vmkdir $_dest/lib
vcopy projectlibre.jar "$_dest"
vcopy "lib/*" "$_dest/lib"
vbin projectlibre.sh projectlibre
vlicense license/license.txt
vcopy license/third-party usr/share/licenses/projectlibre
}